Summary:	A statically linked shell, including some built-in basic commands
Name:		sash
Version:	3.8
Release:	%mkrel 12
License:	LGPLv2+
Group:		Shells
Url:		https://members.canb.auug.org.au/~dbell/
Source0:	https://members.tip.net.au/~dbell/programs/%{name}-%{version}.tar.gz
Patch5:		sash-3.8-scriptarg.patch
Patch6:		sash-pwdfunc.patch
Patch7:		sash-3.7-segfault.patch
Patch8:		sash-3.8-special-script-call-esp-for-glibc-post.patch
Patch9:		sash-3.8-mga-nostrip.patch
Conflicts:	glibc < 6:2.3.3-2
BuildRequires:	e2fsprogs-devel
BuildRequires:	glibc-static-devel 
BuildRequires:	zlib-static-devel

%description
Sash is a simple, standalone, statically linked shell which includes
simplified versions of built-in commands like ls, dd and gzip.  Sash
is statically linked so that it can work without shared libraries, so
it is particularly useful for recovering from certain types of system
failures.  Sash can also be used to safely upgrade to new versions of
shared libraries.

%prep
%setup -q
%patch -P 5 -p1 -b .scriptarg
%patch -P 6 -p1 -b ".pwd"
%patch -P 7 -p1 -b ".segf"
%patch -P 8 -p1 -b ".scriptarg" -z .pix
%patch -P 9 -p1 -b ".nostrip"

%build
%__make OPT="%{optflags}"

%install
install -D sash %{buildroot}/sbin/sash
install -D sash.1 %{buildroot}%{_mandir}/man8/sash.8

%files
/sbin/sash
%{_mandir}/*/*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 3.8-12.mga10
+ Revision: 2128158
- Rebuild for patchN deprecation

* Fri Apr 05 2024 wally <wally> 3.8-11.mga10
+ Revision: 2054682
- basesystem rebuild for i686

* Thu Mar 24 2022 umeabot <umeabot> 3.8-10.mga9
+ Revision: 1824245
- Mageia 9 Mass Rebuild

* Thu Apr 16 2020 danf <danf> 3.8-9.mga8
+ Revision: 1567718
- Switch to the static zlib dependency

* Fri Feb 14 2020 umeabot <umeabot> 3.8-8.mga8
+ Revision: 1516755
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.8-7.mga7
+ Revision: 1300928
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use __make

* Fri Feb 12 2016 umeabot <umeabot> 3.8-6.mga6
+ Revision: 958839
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 danf <danf> 3.8-5.mga6
+ Revision: 892917
- Added nostrip.patch to stop stripping binaries and preserve debuginfo
- Changed license to LGPLv2+ which is stricter than MIT-like, which is the other
  of the two source licenses under which the sources are distributed
+ tv <tv>
- do not strip binary

* Fri Aug 21 2015 tmb <tmb> 3.8-4.mga6
+ Revision: 867884
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 3.8-3.mga5
+ Revision: 740779
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8-2.mga5
+ Revision: 689034
- Mageia 5 Mass Rebuild

* Sat Mar 15 2014 luigiwalser <luigiwalser> 3.8-1.mga5
+ Revision: 604031
- 3.8
- remove patches 0, 2, 3, and 4 (fixed upstream)
- rediff patches 5 and 8

* Fri Oct 18 2013 umeabot <umeabot> 3.7-14.mga4
+ Revision: 518164
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.7-13.mga3
+ Revision: 381719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 08 2011 tmb <tmb> 3.7-12.mga1
+ Revision: 631
- imported package sash

